# Multiple DataGrids on Page

It is possible to have multiple DataGrid containers on one page:

```typescript
datagrid('.path1');
datagrid('.path2');
```

Each DataGrid initialization may have its own settings:

```typescript
// container #1
datagrid('.path1', {
   currentPage: 0,
   pageSize: 12,
   pagesRange: 10
});

// container #2
datagrid('.path2', {
   currentPage: 0,
   pageSize: 3,
   pagesRange: 10
});
```

{% hint style="info" %}
Multiple DataGrids don't support deep linking and storage.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.getdatagrid.com/multiple-datagrids-on-page.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
